"use strict";
// @ts-check
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const path_1 = require("path");
const ErrorHJDB_1 = __importDefault(require("./ErrorHJDB"));
function create_database(name) {
    var _a;
    if (!((_a = require.main) === null || _a === void 0 ? void 0 : _a.filename))
        throw new ErrorHJDB_1.default("Folder creation error", "Cannot create folder \"databases\"");
    let directory = (0, path_1.join)((0, path_1.dirname)(require.main.filename), "databases");
    if (!(0, fs_1.existsSync)(`${directory}`)) {
        try {
            (0, fs_1.mkdirSync)(directory);
            if (!(0, fs_1.existsSync)(`${directory}/${name}.json`)) {
                (0, fs_1.writeFileSync)(`${directory}/${name}.json`, JSON.stringify({}, null, 2), { flag: "wx" });
            }
        }
        catch (err) {
            throw err;
        }
    }
    return (0, path_1.join)(directory, `${name}.json`);
}
exports.default = create_database;
